Loading...
Searching...
No Matches
BALL::VIEW::HTMLPage Class Reference

`#include <BALL/VIEW/WIDGETS/HTMLPage.h>`

Inheritance diagram for BALL::VIEW::HTMLPage:

## Public Member Functions

| HTMLPage (QObject *parent=0, bool ignore_ssl_errors=false)
| HTMLPage (QWebEngineProfile *profile, QObject *parent=0, bool ignore_ssl_errors=false)
| ~HTMLPage () override=default

## Protected Member Functions

bool | acceptNavigationRequest (const QUrl &url, NavigationType type, bool isMainFrame) override
bool | certificateError (const QWebEngineCertificateError &) override
void | javaScriptConsoleMessage (JavaScriptConsoleMessageLevel level, const QString &message, int lineNumber, const QString &) override
virtual void | executeLink (const QUrl &url)

## Detailed Description

Definition at line 13 of file HTMLPage.h.

## Constructor & Destructor Documentation

## HTMLPage() [1/2]

BALL::VIEW::HTMLPage::HTMLPage | ( | QObject * | parent = 0,
|  | bool | ignore_ssl_errors = false )

## HTMLPage() [2/2]

BALL::VIEW::HTMLPage::HTMLPage | ( | QWebEngineProfile * | profile,
|  | QObject * | parent = 0,
|  | bool | ignore_ssl_errors = false )

## ~HTMLPage()

BALL::VIEW::HTMLPage::~HTMLPage | ( |  | ) |

override default

## Member Function Documentation

## acceptNavigationRequest()

bool BALL::VIEW::HTMLPage::acceptNavigationRequest | ( | const QUrl & | url,
|  | NavigationType | type,
|  | bool | isMainFrame )

override protected

## certificateError()

bool BALL::VIEW::HTMLPage::certificateError | ( | const QWebEngineCertificateError & |  | ) |

override protected

## executeLink()

virtual void BALL::VIEW::HTMLPage::executeLink | ( | const QUrl & | url | ) |

protected virtual

## javaScriptConsoleMessage()

void BALL::VIEW::HTMLPage::javaScriptConsoleMessage | ( | JavaScriptConsoleMessageLevel | level,
|  | const QString & | message,
|  | int | lineNumber,
|  | const QString & | )

override protected